<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.RMpInharmonicIMagReportDPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.prepare.harmonic.pojo.mysql.po.line.RMpInharmonicIMagReportDPO">
    <!--@mbg.generated-->
    <!--@Table r_mp_inharmonic_i_mag_report_d-->
    <id column="measurement_point_id" jdbcType="VARCHAR" property="measurementPointId" />
    <id column="data_date" jdbcType="DATE" property="dataDate" />
    <id column="phase" jdbcType="VARCHAR" property="phase" />
    <result column="simple_harmonic_current_effective_1_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective1Max" />
    <result column="simple_harmonic_current_effective_1_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective1Min" />
    <result column="simple_harmonic_current_effective_1_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective1Avg" />
    <result column="simple_harmonic_current_effective_1_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective1Cp95" />
    <result column="simple_harmonic_current_effective_2_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective2Max" />
    <result column="simple_harmonic_current_effective_2_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective2Min" />
    <result column="simple_harmonic_current_effective_2_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective2Avg" />
    <result column="simple_harmonic_current_effective_2_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective2Cp95" />
    <result column="simple_harmonic_current_effective_3_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective3Max" />
    <result column="simple_harmonic_current_effective_3_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective3Min" />
    <result column="simple_harmonic_current_effective_3_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective3Avg" />
    <result column="simple_harmonic_current_effective_3_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective3Cp95" />
    <result column="simple_harmonic_current_effective_4_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective4Max" />
    <result column="simple_harmonic_current_effective_4_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective4Min" />
    <result column="simple_harmonic_current_effective_4_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective4Avg" />
    <result column="simple_harmonic_current_effective_4_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective4Cp95" />
    <result column="simple_harmonic_current_effective_5_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective5Max" />
    <result column="simple_harmonic_current_effective_5_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective5Min" />
    <result column="simple_harmonic_current_effective_5_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective5Avg" />
    <result column="simple_harmonic_current_effective_5_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective5Cp95" />
    <result column="simple_harmonic_current_effective_6_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective6Max" />
    <result column="simple_harmonic_current_effective_6_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective6Min" />
    <result column="simple_harmonic_current_effective_6_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective6Avg" />
    <result column="simple_harmonic_current_effective_6_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective6Cp95" />
    <result column="simple_harmonic_current_effective_7_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective7Max" />
    <result column="simple_harmonic_current_effective_7_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective7Min" />
    <result column="simple_harmonic_current_effective_7_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective7Avg" />
    <result column="simple_harmonic_current_effective_7_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective7Cp95" />
    <result column="simple_harmonic_current_effective_8_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective8Max" />
    <result column="simple_harmonic_current_effective_8_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective8Min" />
    <result column="simple_harmonic_current_effective_8_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective8Avg" />
    <result column="simple_harmonic_current_effective_8_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective8Cp95" />
    <result column="simple_harmonic_current_effective_9_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective9Max" />
    <result column="simple_harmonic_current_effective_9_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective9Min" />
    <result column="simple_harmonic_current_effective_9_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective9Avg" />
    <result column="simple_harmonic_current_effective_9_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective9Cp95" />
    <result column="simple_harmonic_current_effective_10_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective10Max" />
    <result column="simple_harmonic_current_effective_10_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective10Min" />
    <result column="simple_harmonic_current_effective_10_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective10Avg" />
    <result column="simple_harmonic_current_effective_10_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective10Cp95" />
    <result column="simple_harmonic_current_effective_11_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective11Max" />
    <result column="simple_harmonic_current_effective_11_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective11Min" />
    <result column="simple_harmonic_current_effective_11_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective11Avg" />
    <result column="simple_harmonic_current_effective_11_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective11Cp95" />
    <result column="simple_harmonic_current_effective_12_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective12Max" />
    <result column="simple_harmonic_current_effective_12_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective12Min" />
    <result column="simple_harmonic_current_effective_12_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective12Avg" />
    <result column="simple_harmonic_current_effective_12_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective12Cp95" />
    <result column="simple_harmonic_current_effective_13_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective13Max" />
    <result column="simple_harmonic_current_effective_13_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective13Min" />
    <result column="simple_harmonic_current_effective_13_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective13Avg" />
    <result column="simple_harmonic_current_effective_13_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective13Cp95" />
    <result column="simple_harmonic_current_effective_14_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective14Max" />
    <result column="simple_harmonic_current_effective_14_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective14Min" />
    <result column="simple_harmonic_current_effective_14_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective14Avg" />
    <result column="simple_harmonic_current_effective_14_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective14Cp95" />
    <result column="simple_harmonic_current_effective_15_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective15Max" />
    <result column="simple_harmonic_current_effective_15_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective15Min" />
    <result column="simple_harmonic_current_effective_15_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective15Avg" />
    <result column="simple_harmonic_current_effective_15_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective15Cp95" />
    <result column="simple_harmonic_current_effective_16_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective16Max" />
    <result column="simple_harmonic_current_effective_16_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective16Min" />
    <result column="simple_harmonic_current_effective_16_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective16Avg" />
    <result column="simple_harmonic_current_effective_16_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective16Cp95" />
    <result column="simple_harmonic_current_effective_17_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective17Max" />
    <result column="simple_harmonic_current_effective_17_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective17Min" />
    <result column="simple_harmonic_current_effective_17_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective17Avg" />
    <result column="simple_harmonic_current_effective_17_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective17Cp95" />
    <result column="simple_harmonic_current_effective_18_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective18Max" />
    <result column="simple_harmonic_current_effective_18_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective18Min" />
    <result column="simple_harmonic_current_effective_18_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective18Avg" />
    <result column="simple_harmonic_current_effective_18_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective18Cp95" />
    <result column="simple_harmonic_current_effective_19_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective19Max" />
    <result column="simple_harmonic_current_effective_19_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective19Min" />
    <result column="simple_harmonic_current_effective_19_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective19Avg" />
    <result column="simple_harmonic_current_effective_19_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective19Cp95" />
    <result column="simple_harmonic_current_effective_20_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective20Max" />
    <result column="simple_harmonic_current_effective_20_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective20Min" />
    <result column="simple_harmonic_current_effective_20_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective20Avg" />
    <result column="simple_harmonic_current_effective_20_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective20Cp95" />
    <result column="simple_harmonic_current_effective_21_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective21Max" />
    <result column="simple_harmonic_current_effective_21_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective21Min" />
    <result column="simple_harmonic_current_effective_21_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective21Avg" />
    <result column="simple_harmonic_current_effective_21_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective21Cp95" />
    <result column="simple_harmonic_current_effective_22_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective22Max" />
    <result column="simple_harmonic_current_effective_22_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective22Min" />
    <result column="simple_harmonic_current_effective_22_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective22Avg" />
    <result column="simple_harmonic_current_effective_22_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective22Cp95" />
    <result column="simple_harmonic_current_effective_23_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective23Max" />
    <result column="simple_harmonic_current_effective_23_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective23Min" />
    <result column="simple_harmonic_current_effective_23_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective23Avg" />
    <result column="simple_harmonic_current_effective_23_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective23Cp95" />
    <result column="simple_harmonic_current_effective_24_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective24Max" />
    <result column="simple_harmonic_current_effective_24_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective24Min" />
    <result column="simple_harmonic_current_effective_24_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective24Avg" />
    <result column="simple_harmonic_current_effective_24_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective24Cp95" />
    <result column="simple_harmonic_current_effective_25_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective25Max" />
    <result column="simple_harmonic_current_effective_25_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective25Min" />
    <result column="simple_harmonic_current_effective_25_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective25Avg" />
    <result column="simple_harmonic_current_effective_25_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective25Cp95" />
    <result column="simple_harmonic_current_effective_26_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective26Max" />
    <result column="simple_harmonic_current_effective_26_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective26Min" />
    <result column="simple_harmonic_current_effective_26_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective26Avg" />
    <result column="simple_harmonic_current_effective_26_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective26Cp95" />
    <result column="simple_harmonic_current_effective_27_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective27Max" />
    <result column="simple_harmonic_current_effective_27_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective27Min" />
    <result column="simple_harmonic_current_effective_27_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective27Avg" />
    <result column="simple_harmonic_current_effective_27_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective27Cp95" />
    <result column="simple_harmonic_current_effective_28_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective28Max" />
    <result column="simple_harmonic_current_effective_28_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective28Min" />
    <result column="simple_harmonic_current_effective_28_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective28Avg" />
    <result column="simple_harmonic_current_effective_28_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective28Cp95" />
    <result column="simple_harmonic_current_effective_29_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective29Max" />
    <result column="simple_harmonic_current_effective_29_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective29Min" />
    <result column="simple_harmonic_current_effective_29_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective29Avg" />
    <result column="simple_harmonic_current_effective_29_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective29Cp95" />
    <result column="simple_harmonic_current_effective_30_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective30Max" />
    <result column="simple_harmonic_current_effective_30_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective30Min" />
    <result column="simple_harmonic_current_effective_30_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective30Avg" />
    <result column="simple_harmonic_current_effective_30_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective30Cp95" />
    <result column="simple_harmonic_current_effective_31_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective31Max" />
    <result column="simple_harmonic_current_effective_31_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective31Min" />
    <result column="simple_harmonic_current_effective_31_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective31Avg" />
    <result column="simple_harmonic_current_effective_31_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective31Cp95" />
    <result column="simple_harmonic_current_effective_32_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective32Max" />
    <result column="simple_harmonic_current_effective_32_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective32Min" />
    <result column="simple_harmonic_current_effective_32_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective32Avg" />
    <result column="simple_harmonic_current_effective_32_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective32Cp95" />
    <result column="simple_harmonic_current_effective_33_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective33Max" />
    <result column="simple_harmonic_current_effective_33_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective33Min" />
    <result column="simple_harmonic_current_effective_33_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective33Avg" />
    <result column="simple_harmonic_current_effective_33_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective33Cp95" />
    <result column="simple_harmonic_current_effective_34_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective34Max" />
    <result column="simple_harmonic_current_effective_34_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective34Min" />
    <result column="simple_harmonic_current_effective_34_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective34Avg" />
    <result column="simple_harmonic_current_effective_34_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective34Cp95" />
    <result column="simple_harmonic_current_effective_35_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective35Max" />
    <result column="simple_harmonic_current_effective_35_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective35Min" />
    <result column="simple_harmonic_current_effective_35_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective35Avg" />
    <result column="simple_harmonic_current_effective_35_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective35Cp95" />
    <result column="simple_harmonic_current_effective_36_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective36Max" />
    <result column="simple_harmonic_current_effective_36_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective36Min" />
    <result column="simple_harmonic_current_effective_36_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective36Avg" />
    <result column="simple_harmonic_current_effective_36_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective36Cp95" />
    <result column="simple_harmonic_current_effective_37_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective37Max" />
    <result column="simple_harmonic_current_effective_37_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective37Min" />
    <result column="simple_harmonic_current_effective_37_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective37Avg" />
    <result column="simple_harmonic_current_effective_37_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective37Cp95" />
    <result column="simple_harmonic_current_effective_38_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective38Max" />
    <result column="simple_harmonic_current_effective_38_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective38Min" />
    <result column="simple_harmonic_current_effective_38_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective38Avg" />
    <result column="simple_harmonic_current_effective_38_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective38Cp95" />
    <result column="simple_harmonic_current_effective_39_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective39Max" />
    <result column="simple_harmonic_current_effective_39_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective39Min" />
    <result column="simple_harmonic_current_effective_39_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective39Avg" />
    <result column="simple_harmonic_current_effective_39_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective39Cp95" />
    <result column="simple_harmonic_current_effective_40_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective40Max" />
    <result column="simple_harmonic_current_effective_40_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective40Min" />
    <result column="simple_harmonic_current_effective_40_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective40Avg" />
    <result column="simple_harmonic_current_effective_40_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective40Cp95" />
    <result column="simple_harmonic_current_effective_41_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective41Max" />
    <result column="simple_harmonic_current_effective_41_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective41Min" />
    <result column="simple_harmonic_current_effective_41_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective41Avg" />
    <result column="simple_harmonic_current_effective_41_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective41Cp95" />
    <result column="simple_harmonic_current_effective_42_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective42Max" />
    <result column="simple_harmonic_current_effective_42_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective42Min" />
    <result column="simple_harmonic_current_effective_42_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective42Avg" />
    <result column="simple_harmonic_current_effective_42_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective42Cp95" />
    <result column="simple_harmonic_current_effective_43_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective43Max" />
    <result column="simple_harmonic_current_effective_43_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective43Min" />
    <result column="simple_harmonic_current_effective_43_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective43Avg" />
    <result column="simple_harmonic_current_effective_43_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective43Cp95" />
    <result column="simple_harmonic_current_effective_44_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective44Max" />
    <result column="simple_harmonic_current_effective_44_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective44Min" />
    <result column="simple_harmonic_current_effective_44_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective44Avg" />
    <result column="simple_harmonic_current_effective_44_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective44Cp95" />
    <result column="simple_harmonic_current_effective_45_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective45Max" />
    <result column="simple_harmonic_current_effective_45_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective45Min" />
    <result column="simple_harmonic_current_effective_45_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective45Avg" />
    <result column="simple_harmonic_current_effective_45_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective45Cp95" />
    <result column="simple_harmonic_current_effective_46_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective46Max" />
    <result column="simple_harmonic_current_effective_46_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective46Min" />
    <result column="simple_harmonic_current_effective_46_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective46Avg" />
    <result column="simple_harmonic_current_effective_46_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective46Cp95" />
    <result column="simple_harmonic_current_effective_47_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective47Max" />
    <result column="simple_harmonic_current_effective_47_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective47Min" />
    <result column="simple_harmonic_current_effective_47_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective47Avg" />
    <result column="simple_harmonic_current_effective_47_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective47Cp95" />
    <result column="simple_harmonic_current_effective_48_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective48Max" />
    <result column="simple_harmonic_current_effective_48_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective48Min" />
    <result column="simple_harmonic_current_effective_48_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective48Avg" />
    <result column="simple_harmonic_current_effective_48_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective48Cp95" />
    <result column="simple_harmonic_current_effective_49_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective49Max" />
    <result column="simple_harmonic_current_effective_49_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective49Min" />
    <result column="simple_harmonic_current_effective_49_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective49Avg" />
    <result column="simple_harmonic_current_effective_49_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective49Cp95" />
    <result column="simple_harmonic_current_effective_50_max" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective50Max" />
    <result column="simple_harmonic_current_effective_50_min" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective50Min" />
    <result column="simple_harmonic_current_effective_50_avg" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective50Avg" />
    <result column="simple_harmonic_current_effective_50_cp95" jdbcType="FLOAT" property="simpleHarmonicCurrentEffective50Cp95" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    measurement_point_id, data_date, phase, simple_harmonic_current_effective_1_max, 
    simple_harmonic_current_effective_1_min, simple_harmonic_current_effective_1_avg, 
    simple_harmonic_current_effective_1_cp95, simple_harmonic_current_effective_2_max, 
    simple_harmonic_current_effective_2_min, simple_harmonic_current_effective_2_avg, 
    simple_harmonic_current_effective_2_cp95, simple_harmonic_current_effective_3_max, 
    simple_harmonic_current_effective_3_min, simple_harmonic_current_effective_3_avg, 
    simple_harmonic_current_effective_3_cp95, simple_harmonic_current_effective_4_max, 
    simple_harmonic_current_effective_4_min, simple_harmonic_current_effective_4_avg, 
    simple_harmonic_current_effective_4_cp95, simple_harmonic_current_effective_5_max, 
    simple_harmonic_current_effective_5_min, simple_harmonic_current_effective_5_avg, 
    simple_harmonic_current_effective_5_cp95, simple_harmonic_current_effective_6_max, 
    simple_harmonic_current_effective_6_min, simple_harmonic_current_effective_6_avg, 
    simple_harmonic_current_effective_6_cp95, simple_harmonic_current_effective_7_max, 
    simple_harmonic_current_effective_7_min, simple_harmonic_current_effective_7_avg, 
    simple_harmonic_current_effective_7_cp95, simple_harmonic_current_effective_8_max, 
    simple_harmonic_current_effective_8_min, simple_harmonic_current_effective_8_avg, 
    simple_harmonic_current_effective_8_cp95, simple_harmonic_current_effective_9_max, 
    simple_harmonic_current_effective_9_min, simple_harmonic_current_effective_9_avg, 
    simple_harmonic_current_effective_9_cp95, simple_harmonic_current_effective_10_max, 
    simple_harmonic_current_effective_10_min, simple_harmonic_current_effective_10_avg, 
    simple_harmonic_current_effective_10_cp95, simple_harmonic_current_effective_11_max, 
    simple_harmonic_current_effective_11_min, simple_harmonic_current_effective_11_avg, 
    simple_harmonic_current_effective_11_cp95, simple_harmonic_current_effective_12_max, 
    simple_harmonic_current_effective_12_min, simple_harmonic_current_effective_12_avg, 
    simple_harmonic_current_effective_12_cp95, simple_harmonic_current_effective_13_max, 
    simple_harmonic_current_effective_13_min, simple_harmonic_current_effective_13_avg, 
    simple_harmonic_current_effective_13_cp95, simple_harmonic_current_effective_14_max, 
    simple_harmonic_current_effective_14_min, simple_harmonic_current_effective_14_avg, 
    simple_harmonic_current_effective_14_cp95, simple_harmonic_current_effective_15_max, 
    simple_harmonic_current_effective_15_min, simple_harmonic_current_effective_15_avg, 
    simple_harmonic_current_effective_15_cp95, simple_harmonic_current_effective_16_max, 
    simple_harmonic_current_effective_16_min, simple_harmonic_current_effective_16_avg, 
    simple_harmonic_current_effective_16_cp95, simple_harmonic_current_effective_17_max, 
    simple_harmonic_current_effective_17_min, simple_harmonic_current_effective_17_avg, 
    simple_harmonic_current_effective_17_cp95, simple_harmonic_current_effective_18_max, 
    simple_harmonic_current_effective_18_min, simple_harmonic_current_effective_18_avg, 
    simple_harmonic_current_effective_18_cp95, simple_harmonic_current_effective_19_max, 
    simple_harmonic_current_effective_19_min, simple_harmonic_current_effective_19_avg, 
    simple_harmonic_current_effective_19_cp95, simple_harmonic_current_effective_20_max, 
    simple_harmonic_current_effective_20_min, simple_harmonic_current_effective_20_avg, 
    simple_harmonic_current_effective_20_cp95, simple_harmonic_current_effective_21_max, 
    simple_harmonic_current_effective_21_min, simple_harmonic_current_effective_21_avg, 
    simple_harmonic_current_effective_21_cp95, simple_harmonic_current_effective_22_max, 
    simple_harmonic_current_effective_22_min, simple_harmonic_current_effective_22_avg, 
    simple_harmonic_current_effective_22_cp95, simple_harmonic_current_effective_23_max, 
    simple_harmonic_current_effective_23_min, simple_harmonic_current_effective_23_avg, 
    simple_harmonic_current_effective_23_cp95, simple_harmonic_current_effective_24_max, 
    simple_harmonic_current_effective_24_min, simple_harmonic_current_effective_24_avg, 
    simple_harmonic_current_effective_24_cp95, simple_harmonic_current_effective_25_max, 
    simple_harmonic_current_effective_25_min, simple_harmonic_current_effective_25_avg, 
    simple_harmonic_current_effective_25_cp95, simple_harmonic_current_effective_26_max, 
    simple_harmonic_current_effective_26_min, simple_harmonic_current_effective_26_avg, 
    simple_harmonic_current_effective_26_cp95, simple_harmonic_current_effective_27_max, 
    simple_harmonic_current_effective_27_min, simple_harmonic_current_effective_27_avg, 
    simple_harmonic_current_effective_27_cp95, simple_harmonic_current_effective_28_max, 
    simple_harmonic_current_effective_28_min, simple_harmonic_current_effective_28_avg, 
    simple_harmonic_current_effective_28_cp95, simple_harmonic_current_effective_29_max, 
    simple_harmonic_current_effective_29_min, simple_harmonic_current_effective_29_avg, 
    simple_harmonic_current_effective_29_cp95, simple_harmonic_current_effective_30_max, 
    simple_harmonic_current_effective_30_min, simple_harmonic_current_effective_30_avg, 
    simple_harmonic_current_effective_30_cp95, simple_harmonic_current_effective_31_max, 
    simple_harmonic_current_effective_31_min, simple_harmonic_current_effective_31_avg, 
    simple_harmonic_current_effective_31_cp95, simple_harmonic_current_effective_32_max, 
    simple_harmonic_current_effective_32_min, simple_harmonic_current_effective_32_avg, 
    simple_harmonic_current_effective_32_cp95, simple_harmonic_current_effective_33_max, 
    simple_harmonic_current_effective_33_min, simple_harmonic_current_effective_33_avg, 
    simple_harmonic_current_effective_33_cp95, simple_harmonic_current_effective_34_max, 
    simple_harmonic_current_effective_34_min, simple_harmonic_current_effective_34_avg, 
    simple_harmonic_current_effective_34_cp95, simple_harmonic_current_effective_35_max, 
    simple_harmonic_current_effective_35_min, simple_harmonic_current_effective_35_avg, 
    simple_harmonic_current_effective_35_cp95, simple_harmonic_current_effective_36_max, 
    simple_harmonic_current_effective_36_min, simple_harmonic_current_effective_36_avg, 
    simple_harmonic_current_effective_36_cp95, simple_harmonic_current_effective_37_max, 
    simple_harmonic_current_effective_37_min, simple_harmonic_current_effective_37_avg, 
    simple_harmonic_current_effective_37_cp95, simple_harmonic_current_effective_38_max, 
    simple_harmonic_current_effective_38_min, simple_harmonic_current_effective_38_avg, 
    simple_harmonic_current_effective_38_cp95, simple_harmonic_current_effective_39_max, 
    simple_harmonic_current_effective_39_min, simple_harmonic_current_effective_39_avg, 
    simple_harmonic_current_effective_39_cp95, simple_harmonic_current_effective_40_max, 
    simple_harmonic_current_effective_40_min, simple_harmonic_current_effective_40_avg, 
    simple_harmonic_current_effective_40_cp95, simple_harmonic_current_effective_41_max, 
    simple_harmonic_current_effective_41_min, simple_harmonic_current_effective_41_avg, 
    simple_harmonic_current_effective_41_cp95, simple_harmonic_current_effective_42_max, 
    simple_harmonic_current_effective_42_min, simple_harmonic_current_effective_42_avg, 
    simple_harmonic_current_effective_42_cp95, simple_harmonic_current_effective_43_max, 
    simple_harmonic_current_effective_43_min, simple_harmonic_current_effective_43_avg, 
    simple_harmonic_current_effective_43_cp95, simple_harmonic_current_effective_44_max, 
    simple_harmonic_current_effective_44_min, simple_harmonic_current_effective_44_avg, 
    simple_harmonic_current_effective_44_cp95, simple_harmonic_current_effective_45_max, 
    simple_harmonic_current_effective_45_min, simple_harmonic_current_effective_45_avg, 
    simple_harmonic_current_effective_45_cp95, simple_harmonic_current_effective_46_max, 
    simple_harmonic_current_effective_46_min, simple_harmonic_current_effective_46_avg, 
    simple_harmonic_current_effective_46_cp95, simple_harmonic_current_effective_47_max, 
    simple_harmonic_current_effective_47_min, simple_harmonic_current_effective_47_avg, 
    simple_harmonic_current_effective_47_cp95, simple_harmonic_current_effective_48_max, 
    simple_harmonic_current_effective_48_min, simple_harmonic_current_effective_48_avg, 
    simple_harmonic_current_effective_48_cp95, simple_harmonic_current_effective_49_max, 
    simple_harmonic_current_effective_49_min, simple_harmonic_current_effective_49_avg, 
    simple_harmonic_current_effective_49_cp95, simple_harmonic_current_effective_50_max, 
    simple_harmonic_current_effective_50_min, simple_harmonic_current_effective_50_avg, 
    simple_harmonic_current_effective_50_cp95
  </sql>
</mapper>